@import "@/styles/variables";

.label {
    @include paragraph;
    @include col;

    gap: 0.5rem;
}

%placeholder-format {
    color: $primary-color-light;
}

.input-wrapper {
    position: relative;
}

.input-area {
    display: flex;
    gap: 1rem;
    justify-content: space-between;
    align-items: center;
    color: $primary-color-light;
    border: 1px solid $primary-color-light;
    background-color: $gray-lighter;
    padding: 0.5rem 3rem 0.5rem 0.5rem;
    width: 100%;

    &:hover {
        border: 1px solid $primary-color-dark;
    }

    &:focus,
    :valid {
        color: black;
    }

    input:-webkit-autofill,
    input:-webkit-autofill:focus {
        transition: background-color 600000s 0s, color 600000s 0s;
    }

    @extend %placeholder-format;
    @include paragraph-lg;

    @include tablet {
        min-width: 26rem;
    }

    @include smallscreen {
        padding-left: 0.8rem;
    }

    @include notebook {
        padding-left: 1.25rem;
    }
}
